;
; Control remote functions
;

include fossil.inc

  ifdef LANG_C
	.MODEL Large,C
  else
	.MODEL Large,Pascal
  endif

  ifdef LANG_PAS
Code	Segment Word Public
	assume CS:Code
  else
.CODE
  endif

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;
;;	ComCdWatch		Enable/disable Carrier Detect watch
;;	void ComCdWatch(port, flag)
;;		int port	Port number to use
;;		int flag	1=enable, 0=disable
;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

	public ComCdWatch

ComCdWatch PROC, port:WORD, flag:BYTE
	mov AL,flag
	comms cdetect,port
	ret
ComCdWatch ENDP



;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;
;;	ComReboot		Reboot system
;;	void ComReboot(flag)
;;		int flag	0=Cold reboot, 1=Warm reboot
;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

	public ComReboot

ComReboot PROC, flag:BYTE
	mov AL,flag
	comms reboot
	ret
ComReboot ENDP

  ifdef LANG_PAS
Code	ENDS
  endif

END
