;
; Buffer Control
;

include fossil.inc

  ifdef LANG_C
	.MODEL Large,C
  else
	.MODEL Large,Pascal
  endif

  ifdef LANG_PAS
Code	Segment Word Public
	assume CS:Code
  else
.CODE
  endif

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;
;;	ComRxPurge		Purge Receive Buffer
;;	void ComRxPurge(port)
;;		int port	Port number to purge
;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

	public ComRxPurge

ComRxPurge PROC port:WORD
	comms inpurge,port
	ret
ComRxPurge ENDP


;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;
;;	ComTxFlush		Flush Transmit buffer
;;	void ComTxFlush(port)
;;		int port	Port number to flush
;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

	public ComTxFlush

ComTxFlush PROC port:WORD
	comms outflush,port
	ret
ComTxFlush ENDP



;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;
;;	ComTxPurge		Purge Transmit buffer
;;	void ComTxPurge(port)
;;		int port	Port number to purge
;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;


	public ComTxPurge

ComTxPurge PROC port:WORD
	comms outpurge,port
	ret
ComTxPurge ENDP

  ifdef LANG_PAS
Code	ENDS
  endif

END
